/* USER CODE BEGIN Header */
/**
  ******************************************************************************
  * @file           : main.h
  * @brief          : Header for main.c file.
  *                   This file contains the common defines of the application.
  ******************************************************************************
  * @attention
  *
  * <h2><center>&copy; Copyright (c) 2021 STMicroelectronics.
  * All rights reserved.</center></h2>
  *
  * This software component is licensed by ST under Ultimate Liberty license
  * SLA0044, the "License"; You may not use this file except in compliance with
  * the License. You may obtain a copy of the License at:
  *                             www.st.com/SLA0044
  *
  ******************************************************************************
  */
/* USER CODE END Header */

/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __MAIN_H
#define __MAIN_H

#ifdef __cplusplus
extern "C" {
#endif

/* Includes ------------------------------------------------------------------*/
#include "stm32f4xx_hal.h"

/* Private includes ----------------------------------------------------------*/
/* USER CODE BEGIN Includes */

/* USER CODE END Includes */

/* Exported types ------------------------------------------------------------*/
/* USER CODE BEGIN ET */

/* USER CODE END ET */

/* Exported constants --------------------------------------------------------*/
/* USER CODE BEGIN EC */

/* USER CODE END EC */

/* Exported macro ------------------------------------------------------------*/
/* USER CODE BEGIN EM */

/* USER CODE END EM */

/* Exported functions prototypes ---------------------------------------------*/
void Error_Handler(void);

/* USER CODE BEGIN EFP */

/* USER CODE END EFP */

/* Private defines -----------------------------------------------------------*/
#define MSX_D0_Pin GPIO_PIN_1
#define MSX_D0_GPIO_Port GPIOA
#define MSX_D1_Pin GPIO_PIN_2
#define MSX_D1_GPIO_Port GPIOA
#define MSX_D2_Pin GPIO_PIN_3
#define MSX_D2_GPIO_Port GPIOA
#define MSX_D3_Pin GPIO_PIN_4
#define MSX_D3_GPIO_Port GPIOA
#define MSX_D4_Pin GPIO_PIN_5
#define MSX_D4_GPIO_Port GPIOA
#define MSX_D5_Pin GPIO_PIN_6
#define MSX_D5_GPIO_Port GPIOA
#define MSX_D6_Pin GPIO_PIN_7
#define MSX_D6_GPIO_Port GPIOA
#define MSX_A9_Pin GPIO_PIN_0
#define MSX_A9_GPIO_Port GPIOB
#define MSX_A9_EXTI_IRQn EXTI0_IRQn
#define MSX_A10_Pin GPIO_PIN_1
#define MSX_A10_GPIO_Port GPIOB
#define MSX_A10_EXTI_IRQn EXTI1_IRQn
#define MSX_A4_Pin GPIO_PIN_10
#define MSX_A4_GPIO_Port GPIOB
#define MSX_A4_EXTI_IRQn EXTI15_10_IRQn
#define MSX_A5_Pin GPIO_PIN_12
#define MSX_A5_GPIO_Port GPIOB
#define MSX_A5_EXTI_IRQn EXTI15_10_IRQn
#define MSX_A6_Pin GPIO_PIN_13
#define MSX_A6_GPIO_Port GPIOB
#define MSX_A6_EXTI_IRQn EXTI15_10_IRQn
#define MSX_A7_Pin GPIO_PIN_14
#define MSX_A7_GPIO_Port GPIOB
#define MSX_A7_EXTI_IRQn EXTI15_10_IRQn
#define MSX_A8_Pin GPIO_PIN_15
#define MSX_A8_GPIO_Port GPIOB
#define MSX_A8_EXTI_IRQn EXTI15_10_IRQn
#define MSX_D7_Pin GPIO_PIN_9
#define MSX_D7_GPIO_Port GPIOA
#define OT_LED_Pin GPIO_PIN_10
#define OT_LED_GPIO_Port GPIOA
#define MSX_A0_Pin GPIO_PIN_6
#define MSX_A0_GPIO_Port GPIOB
#define MSX_A0_EXTI_IRQn EXTI9_5_IRQn
#define MSX_A1_Pin GPIO_PIN_7
#define MSX_A1_GPIO_Port GPIOB
#define MSX_A1_EXTI_IRQn EXTI9_5_IRQn
#define MSX_A2_Pin GPIO_PIN_8
#define MSX_A2_GPIO_Port GPIOB
#define MSX_A2_EXTI_IRQn EXTI9_5_IRQn
#define MSX_A3_Pin GPIO_PIN_9
#define MSX_A3_GPIO_Port GPIOB
#define MSX_A3_EXTI_IRQn EXTI9_5_IRQn
/* USER CODE BEGIN Private defines */

typedef
		enum
		{
	MSX_ID_A0 = 0,
	MSX_ID_A1,
	MSX_ID_A2,
	MSX_ID_A3,
	MSX_ID_A4,
	MSX_ID_A5,
	MSX_ID_A6,
	MSX_ID_A7,
	MSX_ID_A8,
	MSX_ID_A9,
	MSX_ID_A10,
	MSX_ID_MAX
	}
MSX_ID;

extern uint32_t		msx_data[];

extern uint32_t		msx_reset;

extern uint32_t		*msx_data0;
extern uint32_t		*msx_data1;
extern uint32_t		*msx_data2;
extern uint32_t		*msx_data3;
extern uint32_t		*msx_data4;
extern uint32_t		*msx_data5;
extern uint32_t		*msx_data6;
extern uint32_t		*msx_data7;
extern uint32_t		*msx_data8;
extern uint32_t		*msx_data9;
extern uint32_t		*msx_data10;
/* USER CODE END Private defines */

#ifdef __cplusplus
}
#endif

#endif /* __MAIN_H */
